Security Enhanced Linux Reference Policy

# Layer: services

## Module: devicekit

Interfaces

### Description:

Devicekit modular hardware abstraction layer.

### Interfaces:

devicekit_admin( domain , role )

##### Summary

All of the rules required to administrate an devicekit environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

devicekit_append_inherited_log_files( domain )

##### Summary

Append inherited devicekit log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dbus_chat( domain )

##### Summary

Send and receive messages from devicekit over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dbus_chat_disk( domain )

##### Summary

Send and receive messages from devicekit disk over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dbus_chat_power( domain )

##### Summary

Send and receive messages from devicekit power over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dgram_send( domain )

##### Summary

Send to devicekit over a unix domain datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_domtrans( domain )

##### Summary

Execute a domain transition to run devicekit.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

devicekit_manage_log_files( domain )

##### Summary

Create, read, write, and delete devicekit log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_manage_pid_files( domain )

##### Summary

Create, read, write, and delete devicekit PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_read_pid_files( domain )

##### Summary

Read devicekit PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_relabel_log_files( domain )

##### Summary

Relabel devicekit log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_signal_power( domain )

##### Summary

Send generic signals to devicekit power.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_use_fds_power( domain )

##### Summary

Use and inherit devicekit power file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return